# $Revision: 1.40 $, $Date: 2011/07/01 14:26:01 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (needs working, not busy /dev/audio!)
#
%include	/usr/lib/rpm/macros.perl
Summary:	VCS - library for generic Version Control System access in Perl
Summary(pl.UTF-8):	VCS - biblioteka umożliwiająca dostęp do systemu kontroli wersji (VCS) z poziomu Perla
Name:		perl-VCS
Version:	0.16
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/VCS/VCS-%{version}.tar.gz
# Source0-md5:	5e3965ef83514629fe2fbc6da3f1eb66
%if %{with tests}
BuildRequires:	perl-Sort-Versions
BuildRequires:	rcs
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VCS is an API for abstracting access to all version control systems
from Perl code. This is achieved in a similar fashion to the DBI suite
of modules. There are "container" classes, VCS::Dir, VCS::File, and
VCS::Version, and "implementation" classes, such as VCS::Cvs::Dir,
VCS::Cvs::File, and VCS::Cvs::Version, which are subclasses of their
respective "container" classes.

%description -l pl.UTF-8
VCS stanowi API dla abstrakcyjnego dostępu z kodu w Perlu do wszelkich
systemów kontroli wersji. Osiąga się to w podobny sposób, jak w
zestawie modułów DBI. Istnieją klasy "pojemników": VCS::Dir, VCS::File
i VCS::Version oraz klasy "implementacji", takie jak: VCS::Cvs::Dir,
VCS::Cvs::File i VCS::Cvs::Version, będące podklasami swoich
odpowiednich klas "pojemników".

%prep
%setup -q -n VCS-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/diff-hist
%{perl_vendorlib}/VCS.pm
%{perl_vendorlib}/VCS
%{_mandir}/man[13]/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-VCS.spec,v $
Revision 1.40  2011/07/01 14:26:01  marti
- up to 0.16

Revision 1.39  2008/07/27 22:57:44  arekm
- release 2

Revision 1.38  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.37  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.36  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.35  2004/12/13 09:22:33  qboosh
- typo

Revision 1.34  2004/12/12 11:16:13  ankry
- informative description and summary

Revision 1.33  2004/12/12 10:32:49  adamg
- updated to 0.14

Revision 1.32  2004/10/24 17:05:52  paladine
- spelling fixes, uppercases, etc.

Revision 1.31  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.30  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.29  2004/05/03 23:36:50  ankry
- tests added, license fix, cosmetics

Revision 1.28  2004/04/11 08:48:50  agaran
 - updated to 0.13

Revision 1.27  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.26  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:25:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.23  2003/02/19 00:16:31  ankry
autoupdated to 0.10

Revision 1.22  2003/02/18 15:39:09  ankry
- massive attack: change CPAN URLs

Revision 1.21  2003/01/15 18:40:29  mis
- autoupdated to 0.06

Revision 1.20  2002/07/20 17:14:55  kloczek
- release 4.

Revision 1.19  2002/07/20 16:24:25  qboosh
- new %%doc, BR: perl-Sort-Versions

Revision 1.18  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/03/03 21:39:10  marcus
- rel.3.

Revision 1.16  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/10 15:37:16  depesz
- adapterized

Revision 1.14  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.12  2001/11/10 18:27:16  kloczek
- updated to 0.04.

Revision 1.11  2001/04/17 12:18:16  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/26 02:30:21  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:47  pius
- updated to 0.03

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:49  pius
- initial release
